Subject: Re: [PATCH v2] ls-remote: print URL when no repo is specified

From: Jonathan Nieder <[email-masked]>
Date: Sat, 15 May 2010 11:20:02 -0500

Tay Ray Chuan wrote:
> On Sat, May 15, 2010 at 12:17 AM, Jonathan Nieder <[email-masked]> wrote:

>> I think I see what you are saying, and for scripts, that really would
>> be the most useful thing.  Then the script could use something like
>>
>>  if test -z "$remote"
>>  then
>>        remote=$(git branch --get-remote --current)
>>  fi
>>  git ls-remote "$remote"
>
> Just curious - when did git-branch learn "--get-remote"? Or "--current"?

It didn’t.  I was just saying that it should (or we should provide some
commands to that effect).  What do you think?

Maybe later today...
Jonathan